"""
constants
Date: 01/06/23

Authors: Alessandro Trani

Script containing important constants in SI units to be used by the AGN models in Sirko.py and Thompson.py; as well as
important unit conversions.

"""
# constants in SI units
G = 6.67430e-11  # m^3 kg^-1 s^-2
c = 2.99792458e8  # m/s
MSun = 1.98847e30  # kg
au = 1.496e+11  # m
yr = 365.25*24*60*60  # s
pc = 3.086e16  # m
sigmaSB = 5.670374419e-08  # W m^-2 K^-4
Kb = 1.380649e-23  # kg m^2 s^-2 / K
R = 8.31 # J/mol-K
massU = 1.660539066605e-27  # kg
mproton = 1.67262192369e-27  # kg
Na = 6.02214076e23 # mol-1
h = 6.62607015e-34 # Js
LSun = 3.846e26 # J/s

RSun_to_au = 4.6491303438174012e-03  # R_sol/AU
SI_to_gcm3 = 1e-3
SI_to_kms = 1e-3
SI_to_gcm2 = 1e-1
SI_to_cm2g = 1e1
SI_to_cms = 1e2

